## styx 1.6.1-1

=== debian/changelog ===
styx (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Folded styx-xml into styx-doc where other examples reside.
  * Bumped Standards version to 3.6.1.

 -- Siggy Brentrup <bsb@debian.org>  Sat, 10 Jan 2004 20:56:21 +0100

styx (1.6-0) unstable; urgency=low

  * Sorry, this release never made it into the archives.
  * New upstream version.
  * New example package styx-xml.
  * debian/styx.sgml: Fixed synopsis for lim_test, plus minor tweaks in
    wording.
  * Change maintainer email address.

 -- Siggy Brentrup <bsb@debian.org>  Sat, 10 Jan 2004 18:03:19 +0100

styx (1.5.1-3) unstable; urgency=low

  * Revamp va_list usage portably, patch forwarded upstream. Package
    should build on any arch now (Closes: #174393).

 -- Siggy Brentrup <bsb@winnegan.de>  Sun, 29 Dec 2002 02:22:42 +0100

styx (1.5.1-2) unstable; urgency=low

  * libbase/sink.c(Sink_vprintf): Fixed va_arg calls to use self-promoting
    type int instead of char/short (Closes: #174255).  

 -- Siggy Brentrup <bsb@winnegan.de>  Thu, 26 Dec 2002 18:28:47 +0100

styx (1.5.1-1) unstable; urgency=low

  * First upload (Closes: #172037).
  * debian/control: capitalize "Unicode" per request by Martin Michlmayer.
  * pgm/styx.{c,cmd}, gen/styx_cim.c: upstream added -makeANT flag to the
    effect that win-only files <lang>_ant.c are no longer generated when
    -makeINT is specified. These files didn't compile on Linux.
  * tutorial/tutorial0[1-4]/mx.in: added comments how to make static
    linking work and rewrote gcc commands accordingly.
  * tutorial/tutorial0[1-4]/readme: removed note on setting $STYXDIR and
    $LD_LIBRARY_PATH that don't apply to Debian.

 -- Siggy Brentrup <bsb@winnegan.de>  Thu, 12 Dec 2002 20:34:19 +0100

styx (1.5.1-0) experimental; urgency=low

  * Initial Release.
  * Added manpage since upstream uses HTML documentation.
  * libbase/symbols.c: bugfix by Heike Manns (upstream).
  * tutorial/tutorial04/calc.cpp: bugfix by Heike Manns (upstream).

 -- Siggy Brentrup <bsb@winnegan.de>  Fri,  6 Dec 2002 11:26:52 +0100
