=== debian/control ===
Source: styx
Section: devel
Priority: optional
Maintainer: Siggy Brentrup <bsb@debian.org>
Build-Depends: debhelper (>= 4), automake1.4, autoconf, docbook-to-man
Standards-Version: 3.6.1

Package: styx
Architecture: any
Depends: ${shlibs:Depends}
Recommends: styx-dev (= ${Source-Version})
Suggests: styx-doc (= ${Source-Version})
Description: combined parser/scanner generator
 The package facilitates application development including
 user-defined context free languages.
 .
 It's development model deviates from the traditional lex/yacc pair
 (flex/bison in Debian) by automating tedious tasks which are
 commonly implemented in yacc's actions.
 .
 Styx automatically derives a depth grammar, generates reentrant
 parsers that support persistent derivation trees, preserve full
 source information, support Unicode and are thread safe.

Package: libxstyx
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: runtime library for styx
 This library contains the implementation of the styx parser/scanner
 generator proper.
 .
 Applications using styx's advanced features (e.g. operating on
 grammars at runtime) must link against this library.

Package: libdstyx
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: core runtime library for styx
 Dynamically linked programs containing lexical scanners or parsers
 developed with styx depend on this library.
 .
 It implements abstract grammar, LALR(1) parser and lexical scanner
 interfaces, hashed symbol tables and supporting data types. 
 
Package: styx-dev
Architecture: any
Depends: styx (= ${Source-Version})
Suggests: styx-doc (= ${Source-Version})
Description: combined parser/scanner generator development files
 Static libraries and headers needed for development with styx.
 .
 cf. styx for features.

Package: styx-doc
Architecture: all
Section: doc
Description: combined parser/scanner generator documentation
 "The Styx Handbook" describes application development with styx and
 contains HTML reference documentation for the styx API.
 .
 Contains a full blown example showing how to build an XML parser
 with styx.
 .
 cf. styx for features.
