## styx 1.6.1-2

=== debian/changelog ===
styx (1.6.1-2) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: fixed typo in package description (closes: #268545,
    #277246)

 -- Andrew Pollock <apollock@debian.org>  Thu, 24 Mar 2005 13:02:32 +1100
