=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: styx
 Section: devel
 Priority: optional
-Maintainer: Siggy Brentrup <bsb@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4), automake1.4, autoconf, docbook-to-man
 Standards-Version: 3.6.1
 
@@ -14,7 +14,7 @@
  The package facilitates application development including
  user-defined context free languages.
  .
- It's development model deviates from the traditional lex/yacc pair
+ Its development model deviates from the traditional lex/yacc pair
  (flex/bison in Debian) by automating tedious tasks which are
  commonly implemented in yacc's actions.
  .
