=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# Modified for building styx packages by Siggy Brentrup <bsb@winnegan.de>

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# configure the package, note that we have to configure
	# example scripts to use the final includedir.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--includedir=/usr/include/styx


build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir
	# compile/build the package.
	$(MAKE)
	/usr/bin/docbook-to-man debian/styx.sgml > styx.1
	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f styx.1
	rm -f build-arch-stamp build-indep-stamp
	# clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Install binary stuff into debian/tmp
	$(MAKE) DESTDIR=$$PWD/debian/tmp install-exec
	# Install development files into debian/styx-dev
	( set -e ; for d in libbase modstd pgm inc ; do \
	    $(MAKE) -C $$d install-data DESTDIR=$$PWD/debian/styx-dev \
		includedir=/usr/include/styx ; done )
	# Install documentation and examples into debian/styx-doc
	( set -e ; for d in doc examples spe pat ; do \
	    $(MAKE) -C $$d install-data DESTDIR=$$PWD/debian/styx-doc \
		includedir=/usr/include/styx \
		datadir=/usr/share/doc/styx-doc \
		htmldir=/usr/share/doc/styx-doc/html \
		sgmldir=/usr/share/doc/styx-doc/sgml ; done )

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -i
	dh_install -i
	dh_installexamples -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	rm -f $$(find debian/styx-doc/usr/share -size 0 )
	dh_compress -i
	dh_fixperms -i 
	chmod 644 $$(find debian/styx-doc/usr/share/doc/styx-doc/examples/styx-xml \
	             -type f -perm +1 ! -name mx)
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs ChangeLog -a
	dh_install -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
