## styx 1.7

=== libc++/Makefile ===
CXXFLAGS=-Wall -O2 -fno-rtti -g
LDFLAGS=-lstdc++

all: libstyxc++.a StyxScannerTest

StyxScannerTest: StyxScannerTest.o libstyxc++.a 

libstyxc++.a: StyxScanner.o StyxI18NLit.o
	ar r $@ $^

clean:
	-rm *.o *.bak *.a StyxScannerTest

depend:
	makedepend -Y -- $(CXXFLAGS) -- *.[Cch] 2>/dev/null

# DO NOT DELETE

StyxI18NLit.o: StyxI18NLit.h
StyxScanner.o: StyxScanner.h
StyxScannerTest.o: StyxScanner.h
